Bug 87605 - [patch] bsd.port.mk - add NOFETCHFILES variable
[patch] bsd.port.mk - add NOFETCHFILES variable
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Edwin Groothuis
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-18 09:20 UTC by edwin
Modified: 2006-01-21 23:07 UTC (History)
0 users

See Also:


Attachments
file.diff (1.25 KB, patch)
2005-10-18 09:20 UTC, edwin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2005-10-18 09:20:18 UTC
With the improvement of the output of fetch-list (and the
addition of fetch-all-list), one problem showed up: Files which
are normally caught by IGNORE because they shouldn't be fetched
from websites (CD distributed files for example) are showing
up in the list:

    $ make fetch-list
    [ from master-site-override ]
    http://k7.mavetju/distfiles//cxm-20050412.shar
    http://k7.mavetju/distfiles//hcwPVRP2.sys
    http://k7.mavetju/distfiles//pvr250-1.2.tar.gz

    [ from master-sites ]
    http://www.mavetju.org/download/adopted/cxm-20050412.shar
    http://www.mavetju.org/download/adopted/hcwPVRP2.sys
    http://www.mavetju.org/download/adopted/pvr250-1.2.tar.gz

    [ from master-site-backup ]
    ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/pvr250-1.2.tar.gz
    ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/hcwPVRP2.sys
    ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/cxm-20050412.shar

The file hcwPVRP2.sys shouldn't be fetched at all:

    $ make fetch
    ===>  pvr250-20050412_1 You need the file hcwPVRP2.sys from the CD coming w

With this patch, add hcwPVRP2.sys the variable NOFETCHFILES and it
overcomes this problem:

    $ make fetch-list
    http://k7.mavetju/distfiles//cxm-20050412.shar
    http://k7.mavetju/distfiles//hcwPVRP2.sys
    http://k7.mavetju/distfiles//pvr250-1.2.tar.gz

    http://www.mavetju.org/download/adopted/cxm-20050412.shar
    http://www.mavetju.org/download/adopted/pvr250-1.2.tar.gz

    ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/cxm-20050412.shar
    ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/pvr250-1.2.tar.gz

You would think, why does it still show up in the MASTER_SITE_OVERRIDE?
If you have a local pool of distfiles, all you have to do is store
the file there for your own happiness.

Fix: This patch works against a bsd.port.mk patched with ports/86776
Comment 1 Edwin Groothuis freebsd_committer 2005-10-18 09:23:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to maintainer. 
Also fix synopses: IGNOREFILES -> NOFETCHFILES
Comment 2 Mark Linimon freebsd_committer 2005-12-19 01:31:44 UTC
State Changed
From-To: open->analyzed

Accepted for testing on the cluster.
Comment 3 Mark Linimon freebsd_committer 2006-01-21 19:54:03 UTC
State Changed
From-To: analyzed->closed

Committed, thanks.
Comment 4 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
State Changed
From-To: closed->open

over to myself for documentation and implementation 


Comment 5 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
Responsible Changed
From-To: portmgr->edwin

over to myself for documentation and implementation
Comment 6 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
State Changed
From-To: closed->open

over to myself for documentation and implementation 


Comment 7 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
Responsible Changed
From-To: portmgr->edwin

Over to myself for documentation and implementation
Comment 8 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
State Changed
From-To: closed->open

Over to myself for documentation and implementation 


Comment 9 Edwin Groothuis freebsd_committer 2006-01-21 21:48:34 UTC
Responsible Changed
From-To: portmgr->edwin

Over to myself for documentation and implementation
Comment 10 Edwin Groothuis freebsd_committer 2006-01-21 23:06:41 UTC
State Changed
From-To: open->closed

Send documentation changes.